<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
	window.addEventListener("load",inicio);
		
	var canvas, ctx;
	
	var a=new Array();
	
	a[0]={};
	a[1]={};
	
	a[0].nombre="Ramon";
	a[0].datos=20;
	
	a[1].nombre="Roberto";
	a[1].datos=80;

	a[0].radianes=(a[0].datos*360*Math.PI/180)/(a[0].datos+a[1].datos);
	a[1].radianes=(a[1].datos*360*Math.PI/180)/(a[0].datos+a[1].datos);
	
	
	function inicio(){
		canvas=document.querySelector("canvas");
		ctx=canvas.getContext("2d");
		ctx.font = "16px serif";
		 		
		/* dibujar sector circular */
		ctx.beginPath();
		ctx.moveTo(150,200);
		ctx.arc(150,200,80,0,a[0].radianes);
		ctx.fill();
		ctx.strokeStyle="white";
		ctx.strokeText(a[0].nombre,170,230);
		
		ctx.beginPath();
		ctx.moveTo(120,190);
		ctx.fillStyle="blue";
		ctx.arc(120,190,80,a[0].radianes,a[0].radianes+a[1].radianes);
		ctx.fill();
		
		ctx.strokeStyle="white";
		ctx.strokeText(a[1].nombre,70,180);
	}
</script>
</head>

<body>
<canvas width="600" height="400">
	
</canvas>
</body>
</html>






